diff --git a/src/Computrainer.cpp b/src/Computrainer.cpp
index 611f50c..97a9ffb 100644
--- a/src/Computrainer.cpp
+++ b/src/Computrainer.cpp
@@ -818,7 +818,9 @@ int Computrainer::openPort()
     // set raw mode i.e. ignbrk, brkint, parmrk, istrip, inlcr, igncr, icrnl, ixon
     //                   noopost, cs8, noecho, noechonl, noicanon, noisig, noiexn
     cfmakeraw(&deviceSettings);
+#ifndef ANDROID
     cfsetspeed(&deviceSettings, B2400);
+#endif
 
     // further attributes
     deviceSettings.c_iflag= IGNPAR;
@@ -917,9 +919,11 @@ int Computrainer::rawWrite(uint8_t *bytes, int size) // unix!!
     // timeouts are less critical for writing, since vols are low
     rc= write(devicePort, bytes, size);
 
+#ifndef ANDROID
     // but it is good to avoid buffer overflow since the
     // computrainer microcontroller has almost no RAM
     if (rc != -1) tcdrain(devicePort); // wait till its gone.
+#endif
 
     ioctl(devicePort, FIONREAD, &ibytes);
 #endif
diff --git a/src/Serial.cpp b/src/Serial.cpp
index f1340df..2069850 100644
--- a/src/Serial.cpp
+++ b/src/Serial.cpp
@@ -31,7 +31,9 @@
 #include <errno.h>
 #include <fcntl.h>
 #include <math.h>
+#ifndef ANDROID
 #include <regex.h>
+#endif
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
@@ -96,10 +98,12 @@ Serial::open(QString &err)
     tty.c_cflag &= ~CSIZE; /* clear size bits */
     tty.c_cflag |= CS8; /* 8 bits */
     tty.c_cflag |= CLOCAL | CREAD; /* ignore modem control lines */
+#ifndef ANDROID
     if (cfsetspeed(&tty, B9600) == -1) {
         perror("cfsetspeed");
         assert(0);
     }
+#endif
     tty.c_iflag = IGNBRK; /* ignore BREAK condition on input */
     tty.c_lflag = 0;
     tty.c_oflag = 0;
@@ -319,6 +323,7 @@ Serial::name() const
 static int
 find_devices(char *result[], int capacity)
 {
+ #ifndef ANDROID
     regex_t reg;
     DIR *dirp;
     struct dirent *dp;
@@ -337,6 +342,9 @@ find_devices(char *result[], int capacity)
         }
     }
     return count;
+#else
+    return 0;
+#endif
 }
 #else
 //
diff --git a/src/src.pro b/src/src.pro
index a44fca7..d88c0db 100644
--- a/src/src.pro
+++ b/src/src.pro
@@ -81,6 +81,10 @@ win32 {
     RC_FILE = windowsico.rc
 }
 
+android-g++ {
+    CONFIG += ANDROID
+}
+
 # local qxt widgets - rather than add another dependency on libqxt
 DEFINES += QXT_STATIC
 SOURCES += ../qxt/src/qxtspanslider.cpp
